Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007946TestLinkTest Execute - Filterspublic2017-05-23 15:092017-06-10 08:31
Reporterjaverty 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.9.15 (2015 Q4) 
Fixed in Version1.9.17 (2017 Q2) 
Summary0007946: Filters With KeyWords : Operator And/Or same result
DescriptionIn Execution, the result of a filter with and "And" Operator is wrong.
Steps To Reproduce* Create 3 Test cases :
  * Testcase 1 with keyword A
  * Testcase 2 with keyword B
  * Testcase 3 with keyword A and keyword B
* Add them in a Campaign
* In "Execute Tests" Menu use filter "keyword A" AND "keyword B" :
  * Result : Testcase 1, Testcase 2 and Testcase 3

The good result must be just Testcase 3.

TagsNo tags attached.
Database (MySQL,Postgres,etc)Postgres
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0007817new Availables hot-fixes for 1.9.16 & How To get full fixed package from GitHub 

-  Notes
(0026403)
fman (administrator)
2017-05-23 18:36

1) Please latest code from github, do fresh install on sandbox, retest and provide feedback
(0026455)
javerty (reporter)
2017-06-08 08:31

I use Bitnami Virtual Appliance ( TestLink 1.9.16 (Moka pot)) and same result.
(0026462)
fman (administrator)
2017-06-10 08:31

https://github.com/TestLinkOpenSourceTRMS/testlink-code/commit/10b32639720d3e2c66a02c7ffcacc36bd7823ec0 [^]

- Issue History
Date Modified Username Field Change
2017-05-23 15:09 javerty New Issue
2017-05-23 18:36 fman Note Added: 0026403
2017-05-23 18:36 fman Status new => feedback
2017-06-08 08:31 javerty Note Added: 0026455
2017-06-08 08:31 javerty Status feedback => new
2017-06-08 09:22 fman Assigned To => fman
2017-06-08 09:22 fman Status new => acknowledged
2017-06-08 09:22 fman QA Team - Task Workflow Status => TBD
2017-06-10 08:31 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2017-06-10 08:31 fman Note Added: 0026462
2017-06-10 08:31 fman Status acknowledged => resolved
2017-06-10 08:31 fman Fixed in Version => 1.9.17 (2017 Q2)
2017-06-10 08:31 fman Resolution open => fixed
2017-06-10 08:31 fman Relationship added child of 0007817



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker